Subject: problem with grep

From: Howard Melman <[email-masked]>
Date: Thu, 30 Jan 1997 11:16:43 -0500

I'm having a problem with GNU grep in conjunction with
igrep.el and was wondering if anyone came across the same
thing.  The problem occurs when grep'ing for a string
containing a space, but only when grep is piped filenames
from stdin.  I'm using cmd.exe on NT 4.0 but had the same
problems with bash.  I see the problem whether in emacs or
not.  In Emacs I see the same problem whether
win32-quote-process-args is t or nil.

This works:   grep "defconst h" *.el

This doesn't: find . -type f -name "*.el" -print | xargs grep "defconst h" NUL

the error is:

C:\HOWARD\elisp>find . -type f -name "*.el" -print | xargs grep "defconst h" NUL
grep: h: No such file or directory
./NEW/mouse-extracs.el:(defconst mouse-throw-magnifier-with-scroll-bar 
./NEW/mouse-extracs.el:(defconst mouse-throw-magnifier-with-mouse-movement
./NEW/mouse-extracs.el:(defconst mouse-throw-magnifier-min -6)

and it continues with all occurances of "defconst"

Anyone else see this?

Howard